Package org.eclipse.e4.ui.model.application.ui.basic

# Interface MBasicFactory

public interface MBasicFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MBasicFactory`
`INSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`MCompositePart`
`createCompositePart()`
Returns a new object of class 'Composite Part'.
`MPart`
`createPart()`
Returns a new object of class 'Part'.
`MPartSashContainer`
`createPartSashContainer()`
Returns a new object of class 'Part Sash Container'.
`MPartStack`
`createPartStack()`
Returns a new object of class 'Part Stack'.
`MTrimBar`
`createTrimBar()`
Returns a new object of class 'Trim Bar'.
`MTrimmedWindow`
`createTrimmedWindow()`
Returns a new object of class 'Trimmed Window'.
`MWindow`
`createWindow()`
Returns a new object of class 'Window'.

## Field Details

### INSTANCE

static final MBasicFactory INSTANCE
The singleton instance of the factory.

## Method Details

### createPart

MPart createPart()
Returns a new object of class 'Part'.

Returns:
  a new object of class 'Part'.
Since:
  1.0

### createCompositePart

MCompositePart createCompositePart()
Returns a new object of class 'Composite Part'.

Returns:
  a new object of class 'Composite Part'.
Since:
  1.1

### createPartStack

MPartStack createPartStack()
Returns a new object of class 'Part Stack'.

Returns:
  a new object of class 'Part Stack'.
Since:
  1.0

### createPartSashContainer

MPartSashContainer createPartSashContainer()
Returns a new object of class 'Part Sash Container'.

Returns:
  a new object of class 'Part Sash Container'.
Since:
  1.0

### createWindow

MWindow createWindow()
Returns a new object of class 'Window'.

Returns:
  a new object of class 'Window'.
Since:
  1.0

### createTrimmedWindow

MTrimmedWindow createTrimmedWindow()
Returns a new object of class 'Trimmed Window'.

Returns:
  a new object of class 'Trimmed Window'.
Since:
  1.0

### createTrimBar

MTrimBar createTrimBar()
Returns a new object of class 'Trim Bar'.

Returns:
  a new object of class 'Trim Bar'.
Since:
  1.0